%define truename	pyosd
%define name		python-osd
%define version 0.2.9
%define release 2mdk
%define pyver		%(python -V 2>&1 | cut -f2 -d" " | cut -f1,2 -d".")

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Python wrapper for libosd
Group:		Development/Python
License:	GPL
URL:		http://repose.cx/pyosd
Source:		%{truename}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel
BuildRequires:	libxosd-devel
Provides:	%{truename}
Obsoletes:	%{truename}

%description 
PyOSD is a python module for displaying text on your X display, much like the 
"On Screen Displays" used on TVs and some monitors.

%prep
%setup -q -n %{truename}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT  
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT  

%files
%defattr(-,root,root)
%doc AUTHORS README*  ChangeLog COPYING
%{_libdir}/python%{pyver}/site-packages/_pyosd.so
%dir %{_libdir}/python%{pyver}/site-packages/pyosd/
%{_libdir}/python%{pyver}/site-packages/pyosd/__init__.py
%{_libdir}/python%{pyver}/site-packages/pyosd/__init__.pyc
%{_libdir}/python%{pyver}/site-packages/pyosd/daemon.py
%{_libdir}/python%{pyver}/site-packages/pyosd/daemon.pyc

%changelog
* Thu Jun 24 2004 Michael Scherer <misc@mandrake.org> 0.2.9-2mdk
- New release 0.2.9, 2mdk because 0.2.9-1mdk doesn't exist

* Sat Aug 09 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.2.6-1mdk
- 2.6
- changed name to %{name}
- drop patch (merged upstream)

* Mon Apr 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.5-5mdk
- fix distriblint warning

* Tue Feb 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.5-4mdk
- new xosd

* Tue Feb  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.5-3mdk
- rebuild for new xosd

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.2.5-2mdk
- rebuild

* Tue Dec 03 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.2.5-1mdk
- contributed by Pascal Terjan <CMoi@tuxfamily.org>
